Package com.castlabs.sdk.claws

# Class ClawsServiceBinder

java.lang.Object
android.os.Binder
com.castlabs.sdk.claws.ClawsServiceBinder

All Implemented Interfaces:
  `IBinder`

public class ClawsServiceBinder extends Binder

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.IBinder

  `IBinder.DeathRecipient`

- ## Field Summary

  ### Fields inherited from interface android.os.IBinder

  `DUMP_TRANSACTION, FIRST_CALL_TRANSACTION, FLAG_ONEWAY, INTERFACE_TRANSACTION, LAST_CALL_TRANSACTION, LIKE_TRANSACTION, PING_TRANSACTION, TWEET_TRANSACTION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClawsServiceBinder(ClawsService clawsService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addListener(ClawsServiceListener listener)`
  `void`
  `connect(String url, String userId, String deviceName)`
  `void`
  `disconnect()`
  `void`
  `emitTransferAccepted(long assetId, Device sourceDevice)`
  `void`
  `emitTransferCanceled(long assetId, Device sourceDevice)`
  `List<Device>`
  `getConnectedDevices()`
  `void`
  `removeListener(ClawsServiceListener listener)`
  `void`
  `transfer(String assetId, long positionMs, Device targetDevice, ClawsService.TransferCallback callback)`

  ### Methods inherited from class android.os.Binder

  `attachInterface, clearCallingIdentity, clearCallingWorkSource, dump, dumpAsync, flushPendingCommands, getCallingPid, getCallingUid, getCallingUidOrThrow, getCallingUserHandle, getCallingWorkSourceUid, getInterfaceDescriptor, isBinderAlive, joinThreadPool, linkToDeath, pingBinder, queryLocalInterface, restoreCallingIdentity, restoreCallingWorkSource, setCallingWorkSourceUid, transact, unlinkToDeath`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClawsServiceBinder

    public ClawsServiceBinder(@NonNull ClawsService clawsService)

- ## Method Details

  - ### connect

    public void connect(String url, String userId, String deviceName) throws Exception
    Throws:
      `Exception`

  - ### getConnectedDevices

    @NonNull public List<Device> getConnectedDevices()

  - ### transfer

    public void transfer(String assetId, long positionMs, Device targetDevice, ClawsService.TransferCallback callback)

  - ### disconnect

    public void disconnect()

  - ### addListener

    public void addListener(ClawsServiceListener listener)

  - ### removeListener

    public void removeListener(ClawsServiceListener listener)

  - ### emitTransferCanceled

    public void emitTransferCanceled(long assetId, Device sourceDevice)

  - ### emitTransferAccepted

    public void emitTransferAccepted(long assetId, Device sourceDevice)